Name:		log4c
Version:	1.2.3
Release:	1%{?dist}
Summary:	Library for logging application messages

License:	LGPLv2+
URL:		http://log4c.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	expat-devel%{?_isa}

%description
Log4c is a C language library for flexible logging to files, syslog and other
destinations. It is modeled after the Log for Java library (log4j),
staying as close to their API as is reasonable.


%package devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development files for %{name}. If you like to develop
programs using %{name}, you will need to install %{name}-devel.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# example config file below shouldn't live in /etc/
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
mv %{buildroot}/etc/log4crc.sample %{buildroot}/usr/share/doc/%{name}-%{version}/
rm %{buildroot}%{_libdir}/*.la
# munge log4c-config to prevent file conflicts on multilib systems,
# the default paths are not needed in the build flags anyway
sed -r -i \
	-e 's|^libdir=/usr/lib(64)?$|libdir=/usr/lib|' \
	-e 's|-L\$libdir ||' \
	-e 's|-I\$includedir ||' %{buildroot}%{_bindir}/log4c-config


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc COPYING AUTHORS ChangeLog README log4crc.sample
%{_libdir}/liblog4c.so.3
%{_libdir}/liblog4c.so.3.*

%files devel
%{_libdir}/liblog4c.so
%{_libdir}/pkgconfig/*.pc
%{_bindir}/*
%{_includedir}/*
%{_datadir}/aclocal/log4c.m4
%{_mandir}/man1/*


%changelog
* Sat Apr 06 2013 František Dvořák <valtri@civ.zcu.cz> - 1.2.3-1
- Release log4c 1.2.3
- Added pkgconfig file and the manpage for log4c-config

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 08 2012 František Dvořák <valtri@civ.zcu.cz> - 1.2.2-2
- Unify log4c-config to make log4c-devel installable on multilib systems

* Mon Dec 04 2012 František Dvořák <valtri@civ.zcu.cz> - 1.2.2-1
- Release log4c 1.2.2
- Removed the m4 patch, now in upstream
- Arch-specific dependencies
- Correct description in devel subpackage
- Fixes from repeated review (license file, deprecated tags, ...)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 05 2009 Alex (Fedora Packaging Account) <fedora@alexhudson.com> - 1.2.1-7
- Added patch to fix underquoting in M4 file (bug #507427)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-3
- depend on automake for the m4 macro
- import into Fedora

* Mon Jan 26 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-2
- new build-dep on expat for better config file parsing
- tidy source0 and use of macros
- .la files are removed after the build

* Tue Jan 13 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-1
- Initial packaging attempt
